import MenuList from '@mui/material/MenuList';
import MenuItem from '@mui/material/MenuItem';
import ListItemText from '@mui/material/ListItemText';
import ListItemIcon from '@mui/material/ListItemIcon';
import InsertDriveFileIcon from '@mui/icons-material/InsertDriveFile';
import { makeStyles } from '@material-ui/core'
import UploadPhotoAndVideo from '../../../../reusableComponents/DropZone/UploadPhotoAndVideo'

const useStyles = makeStyles({
  list: {
    background: '#fdfdfd',
  },
  listIcon: {
      position: 'absolute',
      left:0
  },
  listText: {
      position: 'absolute',
      left:60
  },  
})

interface IFilesMenu {
  setIsOpenMenu: any,
  setFile: any,
  setValue:any
}
const FilesMenu = ({setIsOpenMenu,setFile,setValue}:IFilesMenu) => {
  const classes = useStyles()
  const handleClose = () => setIsOpenMenu(false)
  
  return (
    <MenuList className={classes.list}>
      <MenuItem  onClick={handleClose}>
      <UploadPhotoAndVideo setFile={setFile} setValue={setValue}>
          <ListItemIcon className={classes.listIcon}>
            <InsertDriveFileIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText className={classes.listText}>Upload File jpg*,png*,mp3*,mp4*</ListItemText>
        </UploadPhotoAndVideo>
      </MenuItem>
  </MenuList>
  );
}

export default FilesMenu