import { useSelector } from 'react-redux';
import Paper from '@mui/material/Paper';
import MenuList from '@mui/material/MenuList';
import MenuItem from '@mui/material/MenuItem';
import ListItemText from '@mui/material/ListItemText';
import ListItemIcon from '@mui/material/ListItemIcon';
import PhoneIcon from '@mui/icons-material/Phone';
import NotificationsIcon from '@mui/icons-material/Notifications';
import Switch from '@mui/material/Switch';
import { makeStyles } from '@material-ui/core'

import { getChat } from '../../../../../../../redux/chat/selector'

const useStyles = makeStyles({
    container: {
    width: '100%',
    marginBottom:16
    },
    list: {
      background:'#fdfdfd'
    },
    listIcon: {
        marginRight: 15,
    },
})

const label = { inputProps: { 'aria-label': 'Switch demo' } };

const ProfileMenu = () => {
  const classes = useStyles()
  const { number } = useSelector(getChat)
  return (
    <Paper className={classes.container}>
      <MenuList className={classes.list}>
        <MenuItem onClick={() => console.log('clicked Phone')}>
          <ListItemIcon className={classes.listIcon}>
            <PhoneIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText primary={number} secondary='Phone'/>
        </MenuItem>
        <MenuItem onClick={() => console.log('clicked Notification')}>
          <ListItemIcon className={classes.listIcon}>
            <NotificationsIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText primary='Notification' />
          <Switch {...label} defaultChecked />
        </MenuItem>
      </MenuList>
    </Paper>
  );
}

export default ProfileMenu