import { actionIsLoading } from '../../loading/action';
import {
  actionGetContactsSuccess,
  actionGetContactsReject
} from '../action';
import { addContact,getContacts} from '../../../api-data';
import { IContactsState } from '../../../typescript/redux/contacts/interfaces'

const asyncGetContacts = () => async (dispatch:any) => {
  try {
    dispatch(actionIsLoading(true));
    const data = await getContacts<IContactsState>()
    data&&dispatch(actionGetContactsSuccess(data))
  } catch (e) {
    dispatch(actionGetContactsReject())
  } finally {
    dispatch(actionIsLoading(false));
  }
};

const asyncAddContact = (number:string) => async (dispatch:any) => {
  try {
    dispatch(actionIsLoading(true));
    await addContact(number)
  } finally {
    dispatch(actionIsLoading(false));
  }
};


export { asyncAddContact,asyncGetContacts };
